#include <string.h>
#include <panel-applet.h>
#include "gtkwsigmeter.h"

static gboolean
sig_applet( PanelApplet *applet,
						const gchar *iid,
						gpointer    data )
{
	GtkWidget *meter;

	if( strcmp( iid, "OAFIID:Wireless_Network_Connection" ) != 0 )
		return FALSE;

	meter = gtk_wsigmeter_new();
	gtk_wsigmeter_set_device_name( GTK_WSIGMETER(meter), "wlan0" );
	gtk_container_add( GTK_CONTAINER( applet ), meter );

	gtk_widget_show_all( GTK_WIDGET( applet ) );

	return TRUE;
}

PANEL_APPLET_BONOBO_FACTORY( "OAFIID:Wireless_Network_Connection_Factory",
		                          PANEL_TYPE_APPLET,
															"The Wireless Signal Applet",
															"0",
															sig_applet,
															NULL );
